# dipy_nifti2pam

## Synopsis

Convert multiple nifti files to a single pam5 file.

## Usage

    dipy_nifti2pam [OPTIONS] peaks_dir_files peaks_values_files peaks_indices_files

## Input Parameters

- `peaks_dir_files`

  Path to the input peaks directions volume. This path may contain wildcards to process multiple inputs at once.

- `peaks_values_files`

  Path to the input peaks values volume. This path may contain wildcards to process multiple inputs at once.

- `peaks_indices_files`

  Path to the input peaks indices volume. This path may contain wildcards to process multiple inputs at once.

## General Options

- `--shm_files`

  Path to the input spherical harmonics volume. This path may contain wildcards to process multiple inputs at once. (default: None)

- `--gfa_files`

  Path to the input generalized FA volume. This path may contain wildcards to process multiple inputs at once. (default: None)

- `--sphere_files`

  Path to the input sphere vertices. This path may contain wildcards to process multiple inputs at once. If it is not define, default_sphere option will be used. (default: None)

- `--default_sphere_name`

  Specify default sphere to use for spherical harmonics representation. This option can be superseded by sphere_files option. Possible options: [‘symmetric362’, ‘symmetric642’, ‘symmetric724’, ‘repulsion724’, ‘repulsion100’, ‘repulsion200’]. (default: repulsion724)

## Output Options

- `--out_dir`

  Output directory (default input file directory). (default: current directory)

- `--out_pam`

  Name of the peaks volume to be saved. (default: peaks.pam5)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.